Bug 123317 - LTC8600 RH12317 -Can not upgrade RHEL3 U1 to RHEL3 U2 via RHN
LTC8600 RH12317 -Can not upgrade RHEL3 U1 to RHEL3 U2 via RHN
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
s390x Linux
medium Severity high
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-16 20:47 EDT by Bill Goodrich
Modified: 2007-11-30 17:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-09 12:03:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Goodrich 2004-05-16 20:47:40 EDT
The following has be reported by IBM LTC:  
Can not upgrade RHEL3 U1 to RHEL3 U2 via RHN
Hardware Environment: z800

Software Environment: rhel3 u1 


Steps to Reproduce:
1. Install RHEL3 U1
2. Register with RHN 
3. Run up2date -u 

Actual Results:

Testing package set / solving RPM inter-dependencies...
There was a package dependency problem. The message was:

Unresolvable chain of dependencies:
pam  0.75-54                             requires liblaus.so.1


Expected Results:

up2date would install all packages from channel.

Additional Information:
Did a find on liblaus.so.1
Results: 
/lib64/liblaus.so.1
/lib64/liblaus.so
Comment 1 Suzanne Hillman 2004-05-17 15:23:49 EDT
I believe this relates to the fact that up2date needs to be up2date'd
- the warning about this shows up in the graphical up2date, but not
the test one (which we are now aware of). Try up2dating up2date.
Comment 2 Brock Organ 2004-05-17 17:25:37 EDT
I was able to reproduce this locally with the rhnqa test environment:

s390 - able to do U1 -> U2 upgrade without dependency errors
s390x - U1 -> U2 upgrade has above dependency error "pam  0.75-54
requires liblaus.so.1"
Comment 4 Brock Organ 2004-05-18 11:33:31 EDT
I believe a workaround for this is to update up2date first (to
up2date-4.2.16-1) ... ie:

# up2date -u up2date
<...>
# up2date -u
<...>
Comment 5 Bill Goodrich 2004-05-18 17:59:57 EDT
That didn't help. I had to manullay install both variants of the laus-
libs packages. Once I did that I was able to do my upgrade from U1 to 
U2. While this is a way around the problem it's not the solution. 
Customers need to be able to this upgrade without an manual 
circumventions. 
Comment 6 Bill Goodrich 2004-06-02 14:08:35 EDT
Bob Johnson asked me to me to retest this. It is still not working. 

There was a package dependency problem. The message was:

Unresolvable chain of dependencies:
pam  0.75-54                             requires liblaus.so.1

This is the same as the original problem. 
Comment 7 Bob Johnson 2004-06-09 11:28:39 EDT
Brock, can you repro this locally, Bill still seeing a problem,
Comment 8 Bill Goodrich 2004-06-09 12:03:01 EDT
Originally when I tested updating up2date didn't help. When I reran
this test last week I didn't do the update for up2date. I just ran
that and reran the up2date -u and all packages installed correctly. 

Note You need to log in before you can comment on or make changes to this bug.